## org.eclipse.datatools.connectivity.oda.design
Interface NotExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterExpression, org.eclipse.emf.common.notify.Notifier

    public interface NotExpression

extends FilterExpression

A representation of the model object 'Not Expression'. A built-in negated filter expression.

The following features are supported:

- `Negating Expression`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getNotExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`FilterExpression` `getNegatingExpression()` Returns the value of the 'Negating Expression' containment reference.
`void` `setNegatingExpression(FilterExpression value)` Sets the value of the '`Negating Expression`' containment reference.

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.FilterExpression
`isNegatable, isSetNegatable, setNegatable, unsetNegatable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getNegatingExpression

    FilterExpression getNegatingExpression()

  Returns the value of the 'Negating Expression' containment reference.

  If the meaning of the 'Negating Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Negating Expression' containment reference.
  See Also:
    `setNegatingExpression(FilterExpression)`, `DesignPackage.getNotExpression_NegatingExpression()`

### setNegatingExpression

    void setNegatingExpression(FilterExpression value)

  Sets the value of the '`Negating Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Negating Expression' containment reference.
  See Also:
    `getNegatingExpression()`